//: Playground - noun: a place where people can play

import UIKit

var str = "Hello, playground"


func deferFunction() {
    print("Rozpoczęcie działania funkcji.")
    var str: String?
    
    defer {
        print("W bloku defer")
        if let s = str {
            print("str ma wartość \(s)")
        }
    }
    
    str = "Jon"
    print("Zakończenie działania funkcji")
}


deferFunction()
